from django.conf import settings

CA_KEY            = getattr(settings, 'OPENVPN_CA_KEY', '/etc/openvpn/keys/ca.key')
CA_CERT           = getattr(settings, 'OPENVPN_CA_CERT', '/etc/openvpn/keys/ca.crt')
TAR_PATH          = getattr(settings, 'OPENVPN_TAR_PATH', '/etc/openvpn/cert_files/')
CONF_DEFAULT_FILE = getattr(settings, 'OPENVPN_CONF_DEFAULT_FILE', '/etc/openvpn/mk_vpn/mk_vpn.conf')
CONF_NAME         = getattr(settings, 'OPENVPN_CONF_NAME', 'Openvpn')
CERT_RULES_PATH   = getattr(settings, 'OPENVPN_CERT_RULES_PATH', '/etc/openvpn/cert_rules/')
EXT_CERT          = getattr(settings, 'OPENVPN_EXT_CERT', 'zip')
USE_PASSWORD      = getattr(settings, 'OPENVPN_USE_PASSWORD', True)