from django.conf.urls.defaults import *
from django.views.generic.simple import redirect_to
from jumbo.views.generic.generic_views import generic_delete_object
from jumbo.views.generic.list_detail import object_list, object_detail
from jumbo.views.generic.create_update import create_object, update_object
from openvpn.models import Utenti, Certificate
from openvpn.list import *
from openvpn.forms import *
from openvpn.certificate_form import CertificateForm, CertificateFormUpdate

#urlpatterns = patterns('',
#    ### UTENTI ###
#    url(r'^$'                                               , redirect_to, {'url':'/openvpn/certificate/'}),
#    url(r'^utenti/$'                                        , object_list
#                                                            , {'search_form': UtentiSearchForm,
#                                                               'data_list'  : UtentiList}
#                                                            , name='openvpn-utenti-list'),
#    url(r'^utenti/add/$'                                    , create_object
#                                                            , {'model': Utenti,
#                                                               'post_save_redirect': 'openvpn-utenti-list'}
#                                                            , name='openvpn-utenti-add'),
#    url(r'^utenti/(?P<object_id>\d+)/$'                     , update_object
#                                                            , {'model': Utenti,
#                                                               'post_save_redirect': 'openvpn-utenti-list'}
#                                                            , name='openvpn-utenti-edit'),
#    ### CERTIFICATE ###
#    url(r'^certificate/$'                                   , object_list
#                                                            , {'search_form': CertificateSearchForm,
#                                                               'data_list'  : CertificateList}
#                                                            , name='openvpn-certificate-list'),
#    url(r'^certificate/add/$'                               , create_object
#                                                            , {'model': Certificate,
#                                                               'form_class'  : CertificateForm,
#                                                               'post_save_redirect': '/openvpn/certificate/detail/%(id)s/',}
#                                                            , name='openvpn-certificate-add'),
#    url(r'^certificate/(?P<object_id>\d+)/$'                , update_object
#                                                            , {'model': Certificate,
#                                                               'form_class' : CertificateFormUpdate,
#                                                               'template_name' : 'openvpn/certificate_form_update.html',
#                                                               'post_save_redirect': '/openvpn/certificate/detail/%(id)s/'}
#                                                            , name='openvpn-certificate-edit'),
#    url(r'^certificate/detail/(?P<object_id>\d+)/$'         , object_detail
#                                                            , {'model': Certificate}
#                                                            , name='openvpn-certificate-detail'),
#    url(r'^certificate/download/(?P<object_id>\d+)/$'       , 'openvpn.views.download_certificate'
#                                                            , name='openvpn-certificate-download'),
#    url(r'^certificate/del/(?P<object_id>\d+)/$'            , generic_delete_object, {'model': Certificate}
#                                                            , name='openvpn-certificate-delete'),
#    ### CONNESSIONI ###
#    url(r'^connection/$'                                    , object_list
#                                                            , {'search_form': ConnectionSearchForm,
#                                                               'data_list'  : ConnectionList}
#                                                            , name='openvpn-connection-list'),
#
#    ### FWRULE ###
#    url(r'^fwrule/$'                                        , object_list
#                                                            , {'search_form': FwruleSearchForm,
#                                                               'data_list'  : FwruleList}
#                                                            , name='openvpn-fwrule-list'),
#    url(r'^fwrule/add/$'                                    , create_object
#                                                            , {'model': FwRule,
#                                                               'form_class': FwRuleForm,
#                                                               'post_save_redirect': 'openvpn-fwrule-list'}
#                                                            , name='openvpn-fwrule-add'),
#    url(r'^fwrule/(?P<object_id>\d+)/$'                     , update_object
#                                                            , {'model': FwRule,
#                                                               'form_class': FwRuleForm,
#                                                               'post_save_redirect': 'openvpn-fwrule-list',}
#                                                            , name='openvpn-fwrule-edit'),
#    url(r'^fwrule/del/(?P<object_id>\d+)/$'                 , generic_delete_object, {'model': FwRule}
#                                                            , name='openvpn-fwrule-delete'),
#
#    ### FWGROUP ###
#    url(r'^fwgroup/$'                                       , object_list
#                                                            , {'search_form': FwgroupSearchForm,
#                                                               'data_list'  : FwgroupList}
#                                                            , name='openvpn-fwgroup-list'),
#    url(r'^fwgroup/add/$'                                   , create_object
#                                                            , {'model': FwGroup,
#                                                               'post_save_redirect': 'openvpn-fwgroup-list'}
#                                                            , name='openvpn-fwgroup-add'),
#    url(r'^fwgroup/(?P<object_id>\d+)/$'                    , update_object
#                                                            , {'model': FwGroup,
#                                                               'post_save_redirect': 'openvpn-fwgroup-list'}
#                                                            , name='openvpn-fwgroup-edit'),
#    url(r'^fwgroup/del/(?P<object_id>\d+)/$'                , generic_delete_object, {'model': FwGroup}
#                                                            , name='openvpn-fwgroup-delete'),
#)
